<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Qcow2 images in qemu</h1>

<ul>
  <li>qcow2 is qemu's preferred image format</li>
  <li>qemu first used in-memory bitmaps internally to implement
    'block-stream' in qemu v1.1 (2012)</li>
  <li>qemu v2.6 (2016) added extension header 0x23852875 to qcow2v3
    for describing persistent bitmaps that live within the image</li>
  <li>an autoclear feature bit ensures that if any other program
    modifies the image without updating bitmaps, then the bitmaps are
    rendered inconsistent</li>
</ul>

<p class="attribution">See also this 2015 KVM Forum
  presentation: <a href="https://www.youtube.com/watch?v=etIGp12RHRE">Backing
  Chain management in QEMU and libvirt</a>, Eric Blake</p>
